> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Credential for a user

> To delete a credential via the API, you need to invoke the below endpoint.



## OpenAPI

````yaml delete /users/{userId}/credentials/{credentialId}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /users/{userId}/credentials/{credentialId}:
    delete:
      summary: Delete a Credential for a user
      description: >-
        To delete a credential via the API, you need to invoke the below
        endpoint.
      operationId: delete-a-credential
      parameters:
        - name: credentialId
          in: path
          description: The credential you're looking to delete
          schema:
            type: string
          required: true
        - name: userId
          in: path
          description: The Id of the user associated with this credential
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````